Page MenuHome

Right-Click on vertex and inmediatly "G" key, acts as double-G.
Closed, InvalidPublic

Description

In edit mode, if I click in a vertex and inmediatly I press G key, acts as I would press double-G: Edge Slide. It is annoying, because, sometimes, I move, one by one, some vertices and need to move them quickly... this behaviour force to press G again... and waste time.

Now I'm on AMD A4, nVidia GT620... but, with my last computer (ATI 4250, don't remember the processor), it did the same.

Blender 2.70.5 d8282da (downloading build version right now)

Event Timeline

Mario Mey (mariomey) raised the priority of this task from to 90.
Mario Mey (mariomey) updated the task description. (Show Details)
Mario Mey (mariomey) edited a custom field.

I could only redo this bug by RMB-dragging then pressing G.

Can you check if this happens if you don't drag the mouse at all after selecting?

Campbell Barton (campbellbarton) lowered the priority of this task from 90 to 30.May 8 2014, 11:39 PM

deleted message, replied to wrong report.

Yes, the way to enter in Edge Slide with only one G, is RMB-dragging. So, when I right-click and then G quickly... G is before realeasing the mouse. When realeasing the mouse, G is for move.

I don't use RMB to move anything (always G), but I would want to know how many users use RMB-dragging - G to use Edge Slide... Maybe, when dragging elements with RMB, G should'n activate EdgeSlide...?

Campbell Barton (campbellbarton) changed the task status from Unknown Status to Resolved.May 12 2014, 4:59 AM
Mario Mey (mariomey) changed the task status from Resolved to Unknown Status.May 19 2014, 1:20 PM

There's more.

When clicking a bone (pose mode) that it is connected to his parent, G or dragging mouse means "rotation". So, if I click and drag with the right click, and press R, the bone moves as double-R is pressed: ROTATION AS TRACKBALL.

Campbell Barton (campbellbarton) changed the task status from Unknown Status to Invalid.May 19 2014, 1:37 PM

Supporting these cases isn't so nice. really if you are mixing selection with tweaking by accident often, you better increase the tweak threshold in your user prefs.

reverted rBd1526da787fba050391747a9286f9e0521c6f2d1

closing.

Sorry, it isn't as changing some lines, as you did in rBd1526da787fba050391747a9286f9e0521c6f2d1 ? I mean, I saw the new code and it seems not so difficult.

Pressing G to rotate a bone that is connected is OK. But, if I want to trackball it, I would do R-R, not G-R.